import dynamix_sdk.base as _base


class CloudapiK8sUpdateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sUpdateProtocol(_base.BasePostAPIFunctionProtocol):
    def update(
        self,
        *,
        k8s_id: int,
        description: str | None = None,
        name: str | None = None,
    ) -> CloudapiK8sUpdateResultBool:
        ...
